# DevEase

DevEase is a command-line tool designed to simplify setting up development environments for various projects. It allows users to choose their preferred package manager and development environment, and then automatically sets up the chosen environment.

## Features

- Choose between npm and pnpm as your package manager.
- Select from popular development environments like Create React App, Vite.js, Next.js, Nest.js, and Hardhat.
- Automatically installs dependencies and sets up the selected environment.

## How to Use

To use DevEase, simply run the following command in your terminal:

```
npx devease
```

Follow the prompts to select your preferred package manager and development environment. DevEase will then handle the rest, automatically setting up your chosen environment.

## Requirements
- Node.js installed on your system.

## Installation
DevEase can be used directly via npx without the need for installation. However, if you prefer to install it globally, you can do so using npm:

```
npm install -g devease
```

## Usage
Once installed, you can use DevEase by running the following command:

```
devease
```

Follow the prompts to select your options and set up your development environment.

## Licence
This project is licensed under the MIT License - see the LICENSE file for details.
